ChiliProject - Bug # 282: Enhance Redmine::SafeAttributes to work for subclasses

Status: Closed Priority: Normal
Author: Gregor Schmidt Category:

Created: 2011-03-14 Assignee: Eric Davis
Updated: 2011-03-19 Due date:

Remote issue URL:

Affected version:

Description: ChiliProject uses @Redmine::SafeAttributes@ to implement a more flexible version of @attr_protected@.
Unfortunately it does not work well with subclasses. It would be great, if @SafeAttributes@ would support
that.

Expected behavior would be:

* sub classes have the same safe attributes as their super classes
* sub classes may have their own safe attributes, that are not safe in their super class

Also, while we are at it, | would like to allow the usage of @Symbol@ keys when calling @safe_attributes=@.

Pull Request will be provided immediately.

Associated revisions

2011-03-14 05:49 pm - Gregor Schmidt
[#282] Make safe_attributes work with sub classes

2011-03-14 05:50 pm - Gregor Schmidt
[#282] Make safe_attributes work with symbol keys

History

2011-03-14 04:53 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/25

2011-03-14 05:11 pm - Gregor Schmidt

FYI: "redmine_backlogs":http://www.redminebacklogs.net/ has an Issue sub class named Task.

2011-03-14 09:05 pm - Eric Davis

I'd rather remove @safe_attributes@ completely. See https://www.chiliproject.org/boards/2/topics/68

2011-03-14 09:52 pm - Gregor Schmidt

I've dropped my thoughts there. While that conversation is going on, would you consider this pull request anyway?

IMHO, this ticket could be a candidate for 1.2, removing safe_attributes is more for a major release.

Thanks

Gregor

2011-03-14 10:40 pm - Eric Davis
- Target version set to 1.2.0

Gregor Schmidt wrote:

> IMHO, this ticket could be a candidate for 1.2, removing safe_attributes is more for a major release.

| did a quick skim of the code, it's looks low impact enough to be in 1.2. I'll merge it into master once I'm able to run all the tests on it (or someone else

can merge it if they get a chance).

2011-03-19 08:05 pm - Eric Davis
- Assignee set to Eric Davis

- Tracker changed from Feature to Bug

- Status changed from Ready for review to Closed

Tests passed, merged into master.

One thing to watch in the future: name *new* tests using the Rails @test "description of test"@ style instead of the @def test_description@ style. It's a

little thing but over time we want to move over to the new style and take advantage of shared @contexts@ too ([[Code Review]]).

2011-03-19 09:27 pm - Gregor Schmidt
Thanks for merging the changes into 1.2.

Eric Davis wrote:
> One thing to watch in the future: name *new* tests using the Rails @test "description of test"@ style instead of the @def test_description@ style. It's
a little thing but over time we want to move over to the new style and take advantage of shared @contexts@ too ([[Code Review]]).

Thanks for pointing that out. I'll use the _new style_ next time.

Gregor
